### Method

# Gtk ComboBox set_entry_text_column

#### Declaration [src]

    void
    gtk_combo_box_set_entry_text_column (
      GtkComboBox* combo_box,
      int text_column
    )

#### Description [src]

Sets the model column which `combo_box` should use to get strings from to be `text_column`.

For this column no separate `GtkCellRenderer` is needed.

The column `text_column` in the model of `combo_box` must be of type `G_TYPE_STRING`.

This is only relevant if `combo_box` has been created with `GtkComboBox:has-entry` as `TRUE`.

#### Parameters

`text_column` | `int`
| A column in `model` to get the strings from for the internal entry.